Export extensions and dataproviders into a new package

Bug #406054 reported by Seif Lotfy on 2009-07-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Zeitgeist Framework
Invalid
High
Unassigned
Declined for 0.1 by Markus Korn
Declined for 0.2 by Markus Korn
Declined for 0.3 by Markus Korn
Declined for 0.4 by Markus Korn

Bug Description

We should take everything thath as nothing to do with the the engine itself or anything that communicates via dbus with the engine outside the package and create a new one or even a project called zeitgeist-dataproviders and zeitgeist-extensions. What do you think?

Siegfried Gevatter (rainct) wrote :

I don't agree. The datasources are required if you want Zeitgeist to be useful (and those which don't work on the system where they are installed are automatically disabled). We could put them in a package by themselves (alone, not with any other stuff like zeitgeistfs which is something completely different) but there isn't much point in that right now, as it just adds more overhead (yet another project where bugs need to be managed, another tarball to create, more makefile mess, another package for Debian, etc).

Seif Lotfy (seif) wrote :

Yes but yet again the dataproviders for example add dependencies to the whole package!
Which I think does not make sense at all! Especially if we want to port to KDE!

Changed in zeitgeist:
importance: Undecided → High
milestone: none → 0.3
Seif Lotfy (seif) on 2009-08-10
Changed in zeitgeist:
status: New → Invalid
Seif Lotfy (seif) wrote :

we should really consider this issue again! what do u think?

Changed in zeitgeist:
status: Invalid → Incomplete
Changed in zeitgeist:
milestone: 0.3.0 → 0.3.1
Changed in zeitgeist:
assignee: nobody → Markus Korn (thekorn)
Markus Korn (thekorn) on 2010-02-08
Changed in zeitgeist:
assignee: Markus Korn (thekorn) → nobody
Siegfried Gevatter (rainct) wrote :

Is this still relevant? The app-specific data-sources are in lp:zeitgeist-dataproviders already.

Seif Lotfy (seif) wrote :

Since we already have a branch for dataproviders and we are working on dynamically loading unloading extensions! I see this as invalid

Changed in zeitgeist:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers